Bug 65701 - dvipdf produces blank documents
dvipdf produces blank documents
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 10:40 EDT by Stas Sergeev
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-30 10:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
archived examples (7.58 KB, application/octet-stream)
2002-05-30 10:41 EDT, Stas Sergeev
no flags Details

  None (edit)
Description Stas Sergeev 2002-05-30 10:40:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.19-pre8-ac1 i686)

Description of problem:
dvipdf (gs -sDEVICE=pdfwrite) simply doesn't work.
Well, such a description is known to be bad, but I really have
nothing to add.

Version-Release number of selected component (if applicable):
ghostscript-7.03-0

How reproducible:
Always

Steps to Reproduce:
1.produce a simple document with LaTeX
2.use xdvi to ensure that the document is not empty
3.use dvipdf
4.use xpdf to see that the produced pdf is empty
5.use xpdf on some other non-empty document to ensure that xpdf itself is OK

Actual Results:  pdf document is empty (xpdf)

Expected Results:  xpdf output is identical to xdvi output

Additional info:
I'll attach the .tex, .dvi and .pdf examples.
Hmm, I have already filled quite a lot of bugreports trying to
process several simple documents. Why the document processing
contains so many gotcha's under RHL? :)
Comment 1 Stas Sergeev 2002-05-30 10:41:14 EDT
Created attachment 58965 [details]
archived examples
Comment 2 Tim Waugh 2002-05-30 11:17:16 EDT
ghostscript-7.03-0 is not a Red Hat Linux package.  Please try the ghostscript 
package from the CD-ROM and re-open this bug report if you still see the 
problem.
Comment 3 Tim Waugh 2002-05-30 11:18:51 EDT
..but looking at your PDF file it seems to me that it isn't blank.  Use 'gs 
bug.pdf'. 
 
(It's a known issue that xpdf doesn't currently handle type 3 fonts.)
Comment 4 Stas Sergeev 2002-05-30 18:47:08 EDT
> ghostscript-7.03-0 is not a Red Hat Linux package.
Yes, this was a definitely broken ghostscript from an unknown source.

> ..but looking at your PDF file it seems to me that it isn't blank.  Use 'gs 
> bug.pdf'.
Thanks, ghostscript-7.05-6 can view that pdf.

> (It's a known issue that xpdf doesn't currently handle type 3 fonts.)
Hmm, what about dropping xpdf in favour of gs then?
Comment 5 Pawel Salek 2002-06-11 05:51:34 EDT
xpdf is much faster for documents that restrict themselves to use only Type 1 fonts.

Note You need to log in before you can comment on or make changes to this bug.